Subject: [alpine-aports] [PATCH] testing/n30f: new aport

From: Camille Scholtz <[email-masked]>
Date: Fri, 15 Apr 2016 20:39:09 +0200

https://github.com/sdhand/n30f
a quick hack to display a png in a borderless and transparent non-wm-managed window
---
 testing/n30f/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/n30f/APKBUILD

diff --git a/testing/n30f/APKBUILD b/testing/n30f/APKBUILD
new file mode 100644
index 0000000..b6646ba
--- /dev/null
+++ b/testing/n30f/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Camille Scholtz <[email-masked]>
+# Maintainer: Camille Scholtz <[email-masked]>
+pkgname=n30f
+pkgver=1.0
+pkgrel=0
+pkgdesc="a quick hack to display a png in a borderless and transparent non-wm-managed window"
+url="https://github.com/sdhand/n30f"
+arch="all"
+license="BSD"
+depends=""
+depends_dev="cairo-dev libxcb-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="saveas-https://github.com/sdhand/$pkgname/archive/v$pkgver.tar.gz/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="263c35f82a4bc716bd19837bab84826e  n30f-1.0.tar.gz"
+sha256sums="be2983af3c7d84dbee799220af98c1d18b976bcb119dab0e1ededc8262dd10d4  n30f-1.0.tar.gz"
+sha512sums="8c716e436c3a82883641ee911fb51abb06ce9faaeb0fee1af7ee5a3a12a8094dfb4cba8c209752c50ede4feff8b035a4d0901e1913dcdcc6f4d7590a30782700  n30f-1.0.tar.gz"
-- 
2.8.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---